# MetaElement< algebra::FreeMonoid< A >, T > Struct Template Reference
[Freemonoid]

Services of an element of a free monoid implemented with FreeMonoid. More...

Inheritance diagram for MetaElement< algebra::FreeMonoid< A >, T >:
[legend]

## Detailed Description

### template<typename A, typename T>
struct vcsn::MetaElement< algebra::FreeMonoid< A >, T >

Services of an element of a free monoid implemented with FreeMonoid.

Definition at line 110 of file free_monoid.hh.